org.apache.solr.client.solrj.cloud.autoscaling

## Class VersionedData

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VersionedData

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class VersionedData
    extends Object
    implements MapWriter

Immutable representation of binary data with version.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`VersionedData(int version, byte[] data, org.apache.zookeeper.CreateMode mode, String owner)` Deprecated. Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object o)` Deprecated.
`byte[]` `getData()` Deprecated.
`org.apache.zookeeper.CreateMode` `getMode()` Deprecated.
`String` `getOwner()` Deprecated.
`int` `getVersion()` Deprecated.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.
`void` `writeMap(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### VersionedData

    public VersionedData(int version,
                         byte[] data,
                         org.apache.zookeeper.CreateMode mode,
                         String owner)

Deprecated.
Constructor.

Parameters:
  `version` - version of the data, or -1 if unknown
  `data` - binary data, or null.
  `mode` - create mode
  `owner` - symbolic identifier of data owner / creator, or null.

### Method Detail

#### getVersion

    public int getVersion()

Deprecated.

#### getData

    public byte[] getData()

Deprecated.

#### getMode

    public org.apache.zookeeper.CreateMode getMode()

Deprecated.

#### getOwner

    public String getOwner()

Deprecated.

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`